
Foreman - Bug #1071

Permission checking for ConfigTemplates fail

07/27/2011 07:39 AM - Paul Kelly

Status: Closed   

Priority: Normal   

Assignee: Paul Kelly   

Category: Users, Roles and Permissions   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The permission itself is called template not configtemplate

Associated revisions

Revision bcd1f70a - 07/31/2011 02:02 AM - Paul Kelly

Fixes #1071 - ConfigTemplate permission name

Signed-off-by: Paul Kelly <paul.ian.kelly@googlemail.com>

History

#1 - 07/27/2011 07:47 AM - Paul Kelly

- Status changed from New to Ready For Testing

#2 - 07/30/2011 10:59 AM - Paul Kelly

Changed the solution so that enforce_permissions is changed in the config_template class. Dohhh.

#3 - 07/31/2011 02:05 AM - Ohad Levy

- Target version set to 0.4

#4 - 07/31/2011 05:29 AM - Paul Kelly

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset bcd1f70a63a5f167dd8deab3ca538b600f1c1453.
